/* You can add global styles to this file, and also import other style files */
$global-link-color: #000000;

@import "../node_modules/uikit/src/scss/variables-theme.scss";
@import "../node_modules/uikit/src/scss/mixins-theme.scss";

@mixin hook-card() { color: #000; }

@import "../node_modules/uikit/src/scss/uikit-theme.scss";

$family: 'Google Sans',Roboto,Arial,sans-serif;
* {
    font-family: $family;
}

#masterpage  {
    position: relative;
    #sidenav {
        width: 250px;
        height: 100%;
        display: flex;
        flex-direction: column;
        position: fixed;
        z-index: 900;
        transition: all 0.5s;
        transform: translate(-250px);
    }
    #main {
        padding: 2em;
        transition: all 0.5s;
    section {
        h1 {
            margin-left: 9em;
            margin-top: 7em;
        }
    }
    }
    &.sidebar-open #sidenav {
        transform: translate(0); 
    }
    &.sidebar-open #main {
        padding-left: 266px;
    }
}